Package net.shibboleth.idp.cli

# Enum Class DataSealerArguments.OperationType

java.lang.Object
java.lang.Enum<DataSealerArguments.OperationType>
net.shibboleth.idp.cli.DataSealerArguments.OperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<DataSealerArguments.OperationType>`, `Constable`

Enclosing class:
  DataSealerArguments

public static enum DataSealerArguments.OperationType extends Enum<DataSealerArguments.OperationType>
Operation enum.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`UNWRAP`
Unwrap/decrypt.
`WRAP`
Wrap/encrypt.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`OperationType()`

## Method Summary

Modifier and Type
Method
Description
`static DataSealerArguments.OperationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DataSealerArguments.OperationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WRAP

public static final DataSealerArguments.OperationType WRAP
Wrap/encrypt.

### UNWRAP

public static final DataSealerArguments.OperationType UNWRAP
Unwrap/decrypt.

## Constructor Details

### OperationType

private OperationType()

## Method Details

### values

public static DataSealerArguments.OperationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DataSealerArguments.OperationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null